
<mat-nav-list id="sideNavContainter">
    <div class="logo py-4">
      <img src="assets/images/logo_vital5g_white.png" alt="Company Logo" />
    </div>
    <mat-divider></mat-divider>
    <hr>
    <!-- <h2 matSubheader class="mt-2">APPLICATIONS</h2> -->

    
    <a mat-list-item routerLinkActive="list-item-active" routerLink="/home">
      <mat-icon>home</mat-icon> Home
    </a>

    <!--site information menu-->
    <mat-accordion class="app-nav-accordion">
      <mat-expansion-panel class="mat-elevation-z0" >
        <mat-expansion-panel-header >
          <mat-panel-title > <mat-icon>info</mat-icon>Site Information</mat-panel-title>
        </mat-expansion-panel-header>
        <mat-nav-list>
          <a mat-list-item routerLinkActive="list-item-active" (click)="isManageSiteRoute()">Site Inventory</a>
          <a mat-list-item routerLinkActive="list-item-active" (click)="isManageSite5GRoute()">5G Slices</a>
        </mat-nav-list>
      </mat-expansion-panel>
    </mat-accordion>

    <a mat-list-item  (click)="backClicked()"> <mat-icon>arrow_back</mat-icon> Back </a>
    
    <hr>


    <a mat-list-item routerLinkActive="list-item-active" (click)="isDesignRoute()">                 
      <mat-icon >dashboard</mat-icon> Dashboard
    </a>

    <!-- blueprint menu -->
    <mat-accordion class="app-nav-accordion" *ngIf="true || getRole() !== null && getRole().indexOf('DESIGNER') >= 0;">
      <mat-expansion-panel class="mat-elevation-z0">
        <mat-expansion-panel-header>
         <mat-panel-title>  <mat-icon>description</mat-icon> Blueprints </mat-panel-title>
        </mat-expansion-panel-header>
        <mat-nav-list>
          <a mat-list-item routerLinkActive="list-item-active" (click)="isDesignNetAppRoute()">Network Applications</a>
          <a mat-list-item routerLinkActive="list-item-active" (click)="isDesignBlueprintVSRoute()">Vertical Service</a>
          <!-- <a mat-list-item routerLinkActive="list-item-active" routerLink="/blueprints_ec">Execution Context</a> -->
          <a mat-list-item routerLinkActive="list-item-active" (click)="isDesignBlueprintTCRoute()">Test Case</a>
          <a mat-list-item routerLinkActive="list-item-active" (click)="isDesignBlueprintExpRoute()">Experiment</a>
        </mat-nav-list>
      </mat-expansion-panel>
    </mat-accordion>
    
    <!-- descriptor menu -->
    <mat-accordion class="app-nav-accordion">
      <mat-expansion-panel class="mat-elevation-z0">
        <mat-expansion-panel-header>
         <mat-panel-title>  <mat-icon> list_alt</mat-icon> Descriptors </mat-panel-title>
        </mat-expansion-panel-header>
        <mat-nav-list>
          <!-- <a mat-list-item routerLinkActive="list-item-active" routerLink="/descriptors_na">Network Applications</a> -->
          <a mat-list-item routerLinkActive="list-item-active" (click)="isDesignDescriptorVSRoute()">Vertical Service</a>
          <!-- <a mat-list-item routerLinkActive="list-item-active" routerLink="/descriptors_ec">Execution Context</a> -->
          <!-- <a mat-list-item routerLinkActive="list-item-active" (click)="isDesignDescriptorTCRoute()">Test Case</a> TO DO: uncomment when needed -->
          <a mat-list-item routerLinkActive="list-item-active" (click)="isDesignDescriptorExpRoute()">Experiment</a>
        </mat-nav-list>
      </mat-expansion-panel>
    </mat-accordion>


    <!-- <hr> -->

    <!-- <a mat-list-item routerLinkActive="list-item-active" routerLink="/tickets">
      <mat-icon>list</mat-icon>Tickets
    </a> -->
    <a mat-list-item routerLinkActive="list-item-active" (click)="isVSInstanceRoute()" >
      <mat-icon>build</mat-icon> VS Instances
    </a>

    <a mat-list-item routerLinkActive="list-item-active" (click)="isRunExpRoute()" >
      <mat-icon>cached</mat-icon>Run Experiment
    </a>
    
    <hr>

    





  </mat-nav-list>